File: changelog

package info (click to toggle)
python-secretstorage 2.3.1-2
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, sid, stretch
  • size: 260 kB
  • ctags: 150
  • sloc: python: 636; sh: 8; makefile: 6
file content (142 lines) | stat: -rw-r--r-- 4,814 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
python-secretstorage (2.3.1-2) unstable; urgency=medium

  * Specify python[3]-dbus dependency manually, it is no longer in the
    main section of requires.txt.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 28 Aug 2016 22:39:12 +0300

python-secretstorage (2.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Update depends from PyCrypto to python-cryptography.
  * Bump minimum Python 3 version to 3.3, needed by cryptography.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 27 Aug 2016 17:44:54 +0300

python-secretstorage (2.2.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Dmitry Shachnev ]
  * New upstream release.
  * Rely on dh-python to generate the dependencies.
  * Bump Standards-Version to 3.9.8, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 18 Jun 2016 18:44:51 +0300

python-secretstorage (2.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump X-Python-Version to >= 2.7, following upstream.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 20 Dec 2015 22:10:51 +0300

python-secretstorage (2.1.2-3) unstable; urgency=medium

  * Add allow-stderr restriction to the autopkgtest, needed as we use
    dbus-run-session which prints messages about initializing services.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 12 Oct 2015 13:52:16 +0300

python-secretstorage (2.1.2-2) unstable; urgency=medium

  * Replace Xvfb with dbus-run-session in gnome-keyring autopkgtest.
  * Drop XS-Testsuite header, not needed with recent dpkg versions.
  * Build-depend on python3-sphinx 1.3 and drop no_alabaster.diff.
  * Switch to pybuild buildsystem.
  * Update debian/watch to use pypi.debian.net redirector.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 06 Sep 2015 12:55:29 +0300

python-secretstorage (2.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Build-depend on python3-setuptools.
  * Use classic docs theme with Sphinx 1.2.
  * Update my e-mail address.
  * Bump year in debian/copyright.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update my signing key to include a new subkey.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 06 Jul 2015 10:00:29 +0300

python-secretstorage (2.1.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Dmitry Shachnev <mitya57@gmail.com>  Sat, 12 Jul 2014 21:55:31 +0400

python-secretstorage (2.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Add autopkgtests.
  * Require gnome-keyring >= 3.11.92 for autopkgtests.
  * Update source and years in debian/copyright.

 -- Dmitry Shachnev <mitya57@gmail.com>  Wed, 28 May 2014 09:15:52 +0400

python-secretstorage (2.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Add explicit build-dependency on dh-python.
  * Add dependency on python[3]-crypto.
  * Add my signing key and check signature in debian/watch.
  * Update home page URL to point to GitHub.

 -- Dmitry Shachnev <mitya57@gmail.com>  Wed, 29 Jan 2014 19:14:50 +0400

python-secretstorage (1.1.0-1) unstable; urgency=low

  * New upstream release.
    - No longer fails when the default collection does not exist
      (LP: #1242412).
  * Update debian/watch to use HTTPS.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Bump debhelper compat level to 9.

 -- Dmitry Shachnev <mitya57@gmail.com>  Sun, 17 Nov 2013 15:15:53 +0400

python-secretstorage (1.0.0-1) unstable; urgency=low

  * New upstream release.
    - Added get_default_collection() and get_any_collection() helper
      functions (LP: #1175751).
    - Fixed creation of items with empty attributes dict.
    - Misc fixes and documentation improvements.

 -- Dmitry Shachnev <mitya57@gmail.com>  Wed, 08 May 2013 19:26:01 +0400

python-secretstorage (0.9.1-1) unstable; urgency=low

  * New upstream bugfix release.
    - Makes exec_prompt_async_qt() really work.

 -- Dmitry Shachnev <mitya57@gmail.com>  Sat, 23 Mar 2013 16:55:48 +0400

python-secretstorage (0.9.0-1) unstable; urgency=low

  * New upstream release.
  * Use canonical Vcs-Svn URI.

 -- Dmitry Shachnev <mitya57@gmail.com>  Tue, 05 Mar 2013 14:06:38 +0400

python-secretstorage (0.8.1-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream release.
  * Add missing python3 build.
  * Build docs using sphinx.
  * Removed obsolete d/patches/bzr_use_check_call.patch.
  * Bump Standards-Version to 3.9.4, no changes needed.
  * Moved dependencies on python*-gi to Recommends.

 -- Dmitry Shachnev <mitya57@gmail.com>  Wed, 16 Jan 2013 19:10:48 +0400

python-secretstorage (0.2-1) experimental; urgency=low

  * Initial release. (closes: #675193)
  * debian/patches/bzr_use_check_call.patch:
    - use check_call instead of Popen in setup.py (from upstream bzr)

 -- Dmitry Shachnev <mitya57@gmail.com>  Thu, 28 Jun 2012 12:13:33 +0400